Loading...
Searching...
No Matches

backward
direction
duration
during
forward
from
jump
onSeek
onSeek
onSeek
onStep
onStep
onStep
peek
peek
peek
point
progress
seek
seek
seek
step
step
step
to
tween
via
via

## step() [3/3]

template<typename T , typename... Ts>

const detail::tweentraits< T, Ts... >::valuesType & step | ( | uint32_t | dt,
|  | bool | suppressCallbacks = `false`
| ) |  |

Steps the animation by the designated delta amount.

You should call this every frame of your application, passing in the amount of delta time that you want to animate. This overload exists to match unsigned int arguments.

Parameters

  dt | Delta duration
  suppressCallbacks | (Optional) Suppress callbacks registered with tween::onStep()

Returns
  std::tuple<Ts...> with the current tween values.